import { createDefaultCoreModule, createDefaultSharedCoreModule } from "../../../../../langium/lib/default-module.js";
import { inject } from "../../../../../langium/lib/dependency-injection.js";
import { EmptyFileSystem } from "../../../../../langium/lib/workspace/file-system-provider.js";
import "../../../../../langium/lib/index.js";
import { AbstractMermaidTokenBuilder, AbstractMermaidValueConverter, MermaidGeneratedSharedModule, PieGrammarGeneratedModule, __name } from "./chunk-TCCFYFTB.js";
var PieTokenBuilder = class extends AbstractMermaidTokenBuilder {
	static #e = __name(this, "PieTokenBuilder");
	constructor() {
		super(["pie", "showData"]);
	}
}, PieValueConverter = class extends AbstractMermaidValueConverter {
	static #e = __name(this, "PieValueConverter");
	runCustomConverter(e, c, l) {
		if (e.name === "PIE_SECTION_LABEL") return c.replace(/"/g, "").trim();
	}
}, PieModule = { parser: {
	TokenBuilder: /* @__PURE__ */ __name(() => new PieTokenBuilder(), "TokenBuilder"),
	ValueConverter: /* @__PURE__ */ __name(() => new PieValueConverter(), "ValueConverter")
} };
function createPieServices(u = EmptyFileSystem) {
	let d = inject(createDefaultSharedCoreModule(u), MermaidGeneratedSharedModule), f = inject(createDefaultCoreModule({ shared: d }), PieGrammarGeneratedModule, PieModule);
	return d.ServiceRegistry.register(f), {
		shared: d,
		Pie: f
	};
}
__name(createPieServices, "createPieServices");
export { PieModule, createPieServices };
